* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Open Sans", sans-serif;
}

.generalPage {
    background-color: #f7f7f7;
}

.selection {
    width: 100%;
}

#firstGeneralBlock {
    background: url(../img/4f9f2c86b4c135b92b67f7941c58f4f9bc422e0c.jpg) no-repeat center;
    background-size: cover;
    min-height: 1080px;
    width: 100%;
    height: 100vh;
}

@media (max-width: 768px) {
    #firstGeneralBlock {
        height: 100%;
    }
}

#firstGeneralBlock .contentContainer {
    max-width: 1472px;
    padding: 0px 16px;
    padding-bottom: 100px;
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    height: 100%;
    margin: 0px auto;
    gap: 13px;
    justify-content: space-between;
}

@media (max-width: 1070px) {
    #firstGeneralBlock .contentContainer {
        flex-wrap: wrap;
        gap: 70px;
        padding-top: 138px;
    }
}

@media (max-width: 550px) {
    #firstGeneralBlock .contentContainer {
        gap: 210px;
        padding-bottom: 40px;
    }
}

#firstGeneralBlock .contentContainer .firstBlock {
    width: 100%;
    max-width: 750px;
    display: flex;
    flex-direction: column;
}

@media (max-width: 1070px) {
    #firstGeneralBlock .contentContainer .firstBlock {
        max-width: unset;
    }
}

#firstGeneralBlock .contentContainer .firstBlock h2 {
    font-size: 46px;
    font-weight: 600;
    letter-spacing: 4%;
    color: white;
    padding-bottom: 15px;
    text-transform: uppercase;
}

@media (max-width: 975px) {
    #firstGeneralBlock .contentContainer .firstBlock h2 {
        font-size: 29px;
        padding-bottom: 12px;
    }
}

#firstGeneralBlock .contentContainer .firstBlock p {
    font-size: 24px;
    font-weight: 400;
    color: white;
    padding-bottom: 115px;
}

@media (max-width: 975px) {
    #firstGeneralBlock .contentContainer .firstBlock p {
        font-size: 16px;
    }
}

@media (max-width: 1070px) {
    #firstGeneralBlock .contentContainer .firstBlock p {
        padding-bottom: 35px;
    }
}

#firstGeneralBlock .contentContainer .firstBlock .openForm {
    border: 1px solid #D0D868;
    padding: 19.5px 148.5px;
    background-color: #D0D868;
    color: #03392F;
    font-size: 18px;
    font-weight: 700;
    text-transform: uppercase;
    max-width: 472px;
    white-space: nowrap;
    cursor: pointer;
}

@media (max-width: 975px) {
    #firstGeneralBlock .contentContainer .firstBlock .openForm {
        font-size: 16px;
    }
}

#firstGeneralBlock .contentContainer .secondBlock {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

@media (max-width: 1070px) {
    #firstGeneralBlock .contentContainer .secondBlock {
        display: flex;
        flex-direction: row;
        gap: 20px;
        flex-wrap: wrap;
    }
}

@media (max-width: 550px) {
    #firstGeneralBlock .contentContainer .secondBlock {
        justify-content: center;
    }
}

#firstGeneralBlock .contentContainer .secondBlock .block {
    width: 100%;
    height: 230px;
    max-width: 275px;
    position: relative;
    border: 0.4px solid white;
    padding: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 550px) {
    #firstGeneralBlock .contentContainer .secondBlock .block {
        max-width: 350px;
        height: 150px;
    }
}


#firstGeneralBlock .contentContainer .secondBlock #plantBlock {
    background: url(../img/b7e65b975436bf3b3feb89b66b2a5a3ed6458bc0.png) no-repeat;
    background-size: 125%;
    background-position: 43% 86%;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    padding: 24px;
    min-width: 275px;
}

@media (max-width: 550px) {
    #firstGeneralBlock .contentContainer .secondBlock #plantBlock {
        width: 100%;
        max-width: 350px;
    }
}

#firstGeneralBlock .contentContainer .secondBlock .block img {
    width: 126%;
    position: absolute;
    bottom: -6%;
    right: -15%;
}

#firstGeneralBlock .contentContainer .secondBlock #plantBlock::after {
    width: 100%;
    height: 100%;
    content: '';
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 1) 100%);
    bottom: 0%;
    position: absolute;
    left: 0%;
}

#firstGeneralBlock .contentContainer .secondBlock #plantBlock span {
    text-transform: uppercase;
}

#firstGeneralBlock .contentContainer .secondBlock .block span {
    font-size: 16px;
    color: white;
    letter-spacing: 10%;
    font-weight: 600;

    z-index: 3;
}

@media (max-width: 975px) {
    #firstGeneralBlock .contentContainer .secondBlock .block span {
        font-size: 14px;
    }

}

#firstGeneralBlock .contentContainer .secondBlock .block p {
    color: white;
    font-size: 34px;
    font-weight: 400;
}

@media (max-width: 975px) {
    #firstGeneralBlock .contentContainer .secondBlock .block p {
        font-size: 24px;
    }
}

#secondGeneralBlock,
#thirdGeneralBlock,
#catalogBlock,
#commentBlock,
#connectBlock {
    display: flex;
    flex-direction: column;
    width: 100%;
    max-width: 1472px;
    padding: 0 16px;
    padding-top: 140px;
    margin: 0px auto;
    overflow: hidden;
}

@media (max-width: 975px) {

    #secondGeneralBlock,
    #thirdGeneralBlock,
    #catalogBlock,
    #commentBlock,
    #connectBlock {
        padding-top: 80px;
    }
}

#secondGeneralBlock h3,
#thirdGeneralBlock h3,
#catalogBlock h3,
#commentBlock h3,
#connectBlock h3 {
    font-size: 46px;
    letter-spacing: 4%;
    font-weight: 600;
    color: #03392F;
    max-width: 918px;
    text-transform: uppercase;
    padding-bottom: 18px;
}

@media (max-width: 975px) {

    #secondGeneralBlock h3,
    #thirdGeneralBlock h3,
    #catalogBlock h3,
    #commentBlock h3,
    #connectBlock h3 {
        font-size: 28px;
    }
}

#secondGeneralBlock p {
    color: #03392F;
    font-size: 18px;
    font-weight: 400;
    max-width: 818px;
    padding-bottom: 40px;
}

@media (max-width: 975px) {
    #secondGeneralBlock p {
        font-size: 14px;
    }
}

#secondGeneralBlock .containerBlocks {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

@media (max-width: 768px) {
    #secondGeneralBlock .containerBlocks {
        display: flex;
        flex-direction: column;
        gap: 20px;
    }
}

#secondGeneralBlock .containerBlocks .container {
    padding: 40px;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 389px;
    justify-content: space-between;
    position: relative;
    overflow: hidden;
    box-sizing: border-box;
    text-decoration: none;
    color: inherit;
    background-repeat: no-repeat;
    background-size: cover;
}

#secondGeneralBlock .containerBlocks .container.has-background {
    background-repeat: no-repeat !important;
    background-position: center center !important;
    background-size: cover !important;
}

#secondGeneralBlock .containerBlocks .container h4 {
    color: rgba(255, 255, 255, 1);
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    z-index: 2;
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 10px;
}

#secondGeneralBlock .containerBlocks .container h4::before {
    content: '';
    display: block;
    width: 12px;
    height: 12px;
    background-color: rgba(208, 216, 104, 1);
}

#secondGeneralBlock .containerBlocks .container span {
    z-index: 2;
    font-size: 18px;
    font-weight: 400;
    color: white;
    padding-top: 20px;
    border-top: 1px solid rgba(208, 216, 104, 1);
}

@media (max-width: 975px) {
    #secondGeneralBlock .containerBlocks .container span {
        font-size: 14px;
    }
}

#secondGeneralBlock .containerBlocks .container.has-background:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 1;
    background-color: rgba(0, 0, 0, 0.5);
    pointer-events: none;
}

#thirdGeneralBlock h3 {
    padding-bottom: 40px;
}

#thirdGeneralBlock .content {
    width: 100%;
    padding: 60px;
    background: url(../img/06c333c06fdc2ad3bd0ec0a9e0ac8801ec31a201.jpg) no-repeat center;
    background-size: cover;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}

@media (max-width: 768px) {
    #thirdGeneralBlock .content {
        display: flex;
        flex-direction: column;
    }
}

#thirdGeneralBlock .content .block {
    padding: 26px;
    display: flex;
    flex-direction: column;
    gap: 26px;
    background-color: rgba(255, 255, 255, 0.14);
    backdrop-filter: blur(30px);
    border-bottom: 1px solid rgba(208, 216, 104, 1);
}

#thirdGeneralBlock .content .block h4 {
    font-size: 40px;
    font-weight: 400;
    color: white;
    max-width: 375px;
}

#thirdGeneralBlock .content .block p {
    font-size: 16px;
    font-weight: 400;
    color: white;
}

@media (max-width: 975px) {
    #thirdGeneralBlock .content .block h4 {
        font-size: 26px;
    }

    #thirdGeneralBlock .content .block p {
        font-size: 14px;
    }
}

#catalogBlock h3 {
    max-width: unset;
    padding-bottom: 40px;
}

#catalogBlock .content {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: 20px;
}

#catalogBlock .content .block {
    width: calc(50% - 10px);
    padding: 24px;
    border: 1px solid rgba(22, 87, 65, 0.1);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 975px) {
    #catalogBlock .content .block {
        width: 259px;
        flex-shrink: 0;
    }
}

#catalogBlock .content .block img {
    width: 100%;
    padding-bottom: 18px;
}

#catalogBlock .content .block .info {
    padding-bottom: 27px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

#catalogBlock .content .block .info h4 {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    color: rgba(3, 57, 47, 1);
}

#catalogBlock .content .block .info p {
    font-size: 16px;
    font-weight: 400;
    color: rgba(22, 87, 65, 1);
}

#catalogBlock .content .block a {
    display: flex;
    justify-content: center;
    color: white;
    padding: 19.5px 0;
    width: 100%;
    background-color: rgba(22, 87, 65, 1);
    font-size: 18px;
    text-decoration: none;
    font-weight: 700;
    text-transform: uppercase;
}

#catalogBlock .content .btnCatalogOpen,
#catalogBlock .btnCatalogOpenMob {
    width: calc(50% - 10px);
    background: url(../img/870df459428aa50cec0f761cdb5f7cff680fffbd.jpg) no-repeat center;
    background-size: cover;
    min-height: 604px;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 17px;
}

#catalogBlock .btnCatalogOpenMob {
    display: none;
}

@media (max-width: 1070px) {
    #catalogBlock .content .btnCatalogOpen {
        min-height: 45vw;
    }
}

@media (max-width: 975px) {
    #catalogBlock .content {
        display: flex;
        flex-direction: row;
        gap: 20px;
        overflow-y: auto;
        flex-wrap: nowrap;
    }

    #catalogBlock .content .btnCatalogOpen {
        display: none;
    }

    #catalogBlock .btnCatalogOpenMob {
        display: flex;
        padding: 35px;
        height: 280px;
        min-height: unset;
        width: 85%;
        margin: 0px auto;
        margin-top: 20px;
        min-width: 350px;
    }
}

#catalogBlock .content .btnCatalogOpen::after,
#catalogBlock .btnCatalogOpenMob::after {
    content: '';
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    position: absolute;
}

#catalogBlock .content .btnCatalogOpen img {
    width: 369px;
    z-index: 2;
}

#catalogBlock .btnCatalogOpenMob img {
    width: 280px;
    z-index: 2;
}

#catalogBlock .content .btnCatalogOpen a,
#catalogBlock .btnCatalogOpenMob a {
    padding: 19.5px 0px;
    width: 100%;
    background-color: rgba(208, 216, 104, 1);
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
    color: rgba(3, 57, 47, 1);
    text-decoration: none;
    z-index: 2;
    text-align: center;
}

#commentBlock h3 {
    max-width: 842px;
    padding-bottom: unset;
}

#commentBlock {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

#commentBlock .paginationBlock {
    display: flex;
    flex-direction: row;
    align-items: flex-end;
    justify-content: space-between;
}


#commentBlock .pagination {
    display: flex;
    align-items: center;
    gap: 15px;
    /* Расстояние между стрелками */
}

/* Сбрасываем абсолютное позиционирование Swiper и задаем размеры */
#commentBlock .pagination .swiper-button-next,
#commentBlock .pagination .swiper-button-prev {
    position: static;
    width: 35px;
    height: 35px;
    margin: 0;
    background-color: rgba(22, 87, 65, 1);
    border-radius: 50%;
}

/* На случай, если иконка внутри тоже сжалась */
#commentBlock .pagination .swiper-button-next svg,
#commentBlock .pagination .swiper-button-prev svg {
    width: 15px;
    height: 15px;
    display: block;
}

#commentBlock .pagination .swiper-button-next,
#commentBlock .pagination .swiper-button-prev {
    color: white;
    /* Замените на нужный вам цвет (например, цвет вашего текста) */
}

.swiperComment .swiper-slide {
    background-color: rgba(255, 255, 255, 1);
    min-height: 240px;
    padding: 26px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 10px;
}
@media (max-width: 768px) {
    .swiperComment .swiper-slide{
        min-height: 290px;
        min-width: 260px;
    }
}

.swiperComment .swiper-slide p {
    font-size: 16px;
    font-weight: 400;
    color: rgba(3, 57, 47, 1);
}

.swiperComment .swiper-slide span {
    font-size: 12px;
    font-weight: 400;
    color: rgba(27, 152, 106, 1);
}

@media (max-width: 975px) {
    .swiperComment .swiper-slide p {
        font-size: 14px;
    }

    .swiperComment .swiper-slide span {
        font-size: 12px;
    }
}

#connectBlock h3 {
    max-width: 811px;
    padding-bottom: 18px;
}

#connectBlock .postTitle {
    max-width: 767px;
    font-size: 18px;
    font-weight: 400;
    color: rgba(3, 57, 47, 1);
    padding-bottom: 31px;
}

#connectBlock .content {
    display: grid;
    grid-template-columns: 1fr;
    row-gap: 20px;
}

/* Первая строка: делит пространство как 70% и 30% минус отступ */
#connectBlock .content .grid-row-1 {
    display: grid;
    grid-template-columns: calc(59% - 10px) calc(41% - 10px);
    column-gap: 20px;
}

/* Вторая строка: 3 равные колонки */
#connectBlock .content .grid-row-2 {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    column-gap: 20px;
}

@media (max-width: 975px) {

    #connectBlock .content,
    #connectBlock .content .grid-row-1,
    #connectBlock .content .grid-row-2 {
        display: flex;
        flex-direction: column;
        gap: 10px;
    }
}

#connectBlock .content .block {
    background-color: rgba(255, 255, 255, 1);
    border: 1px solid rgba(22, 87, 65, 0.1);
    height: 360px;
    padding: 36px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

@media (max-width: 975px) {
    #connectBlock .content .block {
        height: 240px;
    }
}

#connectBlock .content .block .partNumber {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

#connectBlock .content .block .partNumber h4 {
    font-size: 60px;
    font-weight: 300;
    letter-spacing: 4%;
    color: rgba(3, 57, 47, 1);
    text-transform: uppercase;
}

#connectBlock .content .block .partNumber .numbers {
    display: flex;
    flex-direction: row;
    gap: 6px;
}

#connectBlock .content .block .partNumber .numbers span {
    width: 38px;
    height: 38px;
    background-color: rgba(208, 216, 104, 1);
}

#connectBlock .content .block .info {
    display: flex;
    flex-direction: column;
    gap: 12px;
    max-width: 596px;
}

#connectBlock .content .block .info h4 {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
    color: rgba(3, 57, 47, 1);
}

@media (max-width: 975px) {
    #connectBlock .content .block .info h4 {
        font-size: 20px;
    }
}

#connectBlock .content .block .info .openForm {
    background-color: rgba(208, 216, 104, 1);
    padding: 19.5px 0px;
    text-align: center;
    border: unset;
    font-size: 18px;
    color: rgba(3, 57, 47, 1);
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
}

@media (max-width: 975px) {
    #connectBlock .content .block .info .openForm {
        font-size: 12px;
        max-width: 350px;
    }
}

#connectBlock .content .block.has-background {
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    border: unset;
}

@media (max-width: 975px) {
    #connectBlock .content .block.has-background {
        height: 360px;
    }
}

#connectBlock .content .block.has-background .partNumber h4,
#connectBlock .content .block.has-background .info h4 {
    color: rgba(255, 255, 255, 1);
}
